<?php	
ob_start(); 
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

use Dompdf\Dompdf;
use Dompdf\Options;

require_once("config/init.php");
require_once __DIR__ . "/vendor/autoload.php";

$options = new Options();
$options->set('isRemoteEnabled', true);
$options->set('isHtml5ParserEnabled', true);
$options->set('chroot', __DIR__); 
$dompdf = new Dompdf($options);

	  if(isset($_POST['submit'])){
		  
		  $inicio = $_POST['inicio'];
		  $fim = $_POST['fim'];
	
	
	$html = '<table class="table table-bordered">';	
	$html .= '<thead>';
	$html .= '<tr>';
	$html .= '<th>Nº da Operação(1)</th>';
	$html .= '<th>Nome do Cliente(2)</th>';
	$html .= '<th>Data de Desembolso(3)</th>';
	$html .= '<th>Montante do Desembolso(4)</th>';
	$html .= '<th>Finalidade do Crédito(5)</th>';
	$html .= '<th>Valor da Prestação(6)</th>';
	$html .= '<th>Periodicidade dos Pagamentos (7)</th>';
	$html .= '<th>Prazo de Reembolso(8)</th>';
	$html .= '<th>Taxa de Juro(9)</th>';
	$html .= '<th>Crédito em Dívida(10)</th>';
	$html .= '<th>Crédito em Em Atraso(11)</th>';
	$html .= '<th>Dias em Atraso(12)</th>';
	$html .= '<th>PPEs(13)</th>';
	$html .= '</tr>';
	$html .= '</thead>';
	$html .= '<tbody>';
	
	$item =1;

	$dadosCredito = $database->query("SELECT cr.*,cli.* FROM creditos cr INNER JOIN clientes cli ON cli.id_cliente = cr.id_cliente WHERE cr.data BETWEEN '$inicio' AND '$fim' AND cr.status='pendente'");
	
	while($row_transacoes = $database->fetch_assoc($dadosCredito)){	    
	      $data = $row_transacoes['data'];
		  $tempo = $row_transacoes['prestacoes'];
 
		    $Dias = "30";
              $totaldias = $Dias * $tempo;  
               
                $date = new DateTime($data);
                 $date->modify('+' .$totaldias. 'day');
                 $mudanca_frente_1 = $date->format('Y-m-d'); 
                 $nova_data = $mudanca_frente_1;
                 $now = date('Y-m-d');

				 $previsao = $nova_data;
		
	      
	      $tipo_cliente = $row_transacoes['tipo_cliente'];
	      
	      if($tipo_cliente == "Pessoa politica"){
	          $ppe = "SIM";
	      }elseif($tipo_cliente == "Figura publica"){
	           $ppe = "SIM";
	      }else{
	           $ppe = "NAO";
	      }
	      

	  $now = date('Y-m-d');
	
	$date1=date_create($previsao);
    $date2=date_create($now);
    
    $diff=date_diff($date1,$date2);
     
      if($date2 > $date1){
	  	       
	  	  $diasAtraso =  $diff->format("%a");
	  	 
	  	  }else{
	  	      $diasAtraso =0;
	  	  }
	    
	    
	    
	    
	    
		$html .= '<tr>';
		$html .= '<td>'.$item++. "</td>";
		$html .= '<td>'.$row_transacoes['nome_cliente'] . "</td>";
		$html .= '<td>'.$row_transacoes['data'] . "</td>";
		$html .= '<td>'.$row_transacoes['valor'] . "</td>";
		$html .= '<td>'.$row_transacoes['finalidade'] . "</td>";
		$html .= '<td>'.$row_transacoes['v_prest'] . "</td>";
		$html .= '<td>'.$row_transacoes['prestacoes'] . "</td>";
		$html .= '<td>'.$previsao. "</td>";
		$html .= '<td>'.$row_transacoes['taxas'] . "</td>";
		$html .= '<td>'.$row_transacoes['total'] . "</td>";
		$html .= '<td>'.$row_transacoes['total'] . "</td>";
		$html .= '<td>'.$diasAtraso . "</td>";
		$html .= '<td>'.$ppe. "</td></tr>";
				
	}
}
		


$stock = $database->query("SELECT SUM(saida) as soma  FROM transacoes WHERE data BETWEEN '$inicio' AND '$fim'");
 
  while($total = $database->fetch_assoc($stock)){
	  
	  $stock_total = $total['soma'];
  }
  
 
$stock1 = $database->query("SELECT SUM(entrada) as soma  FROM transacoes WHERE data BETWEEN '$inicio' AND '$fim'");
 
  while($total1 = $database->fetch_assoc($stock1)){
	  
	  $stock_total1 = $total1['soma'];
  }
   
  $saldo = $stock_total1 - $stock_total;
  
		
	$html .= '</tbody>';
	$html .= '</table>	
	
	<hr>
  
  <b>Total Saidas:'.number_format($stock_total,2,",",".").'</b><br>
  <b>Total Entradas:'.number_format($stock_total1,2,",",".").'</b><br>
  
  <b>Saldo:'.number_format($saldo,2,",",".").'</b><br>
	<br></br><br>';
	
	
  
  
	
$logotipo_dados = $database->query("SELECT * FROM empresa");
$dados_empresa = $database->fetch_assoc($logotipo_dados);

$logo_empresa = $dados_empresa['logo'];	
$nome_empresa = $dados_empresa['nome_empresa'];	
$nuit = $dados_empresa['nuit'];	
$contactos = $dados_empresa['contactos'];	
$email_empresa = $dados_empresa['email'];	
$endereco_empresa = $dados_empresa['endereco'];


	
	// Carrega seu HTML
	$dompdf->load_html('
	
	<div class="jonas">
	<div class="logo" align="left">
	<img src="img/bm.PNG"/>
	
	
	<p align="center" style="padding-top:-150px;">
	 <b>BANCO DE MOÇAMBIQUE<br>		
DEPARTAMENTO DE SUPERVISÃO PRUDENCIAL<br>		
REPORTE PERIÓDICO DE INFORMAÇÕES DE MICROFINANÇAS<br>		
INSTITUIÇÕES SUJEITAS À MONITORIZAÇÃO</b>		

	</p>
	</div>
	
	<br></br><br>
	
		<h4 style="text-align: center; ">Relatorio mensal '.$inicio.' a '.$fim.'</h4>
		
<p>		PERÍODO DE REPORTE: <br>											
DATA: '.$inicio.' (DD/MM/AAAA)<br>											
											
											
1. IDENTIFICAÇÃO DA INSTITUIÇÃO	<br>										
Denominação: '.$nome_empresa.'<br>											
Endereço : '.$endereco_empresa.'<br>											
Provincia: Maputo<br>											
Telefone:___________________Telemóvel:'.$contactos.'<br>									
Fax:_____________________________ <br>
E-mail: '.$email_empresa.'<br>										
Nº de Trabalhadores:____________ <br>											
Data de Início das Actividades:_________________<br>											
Nome do Responsável pela Gestão da Instituição:  Dercelia Antonio Matimbe	<br><br>										
Instituição(ões) Representada(s): ___________________________________________________________________</p><br><br>											
											
											

		
		
			'. $html .'
			
		
			
			
			
		');

	//Renderizar o html
	$dompdf->set_paper('A3', 'landscape');
	$dompdf->render();

	//Exibibir a página
	$dompdf->stream(
		"report.pdf", 
		array(
			"Attachment" => false //Para realizar o download somente alterar para true
		)
	);
	
?>